QGIS Application - Bug report #4347

raster and vector rendering mismatched by 1 pixel at some zoom levels

2011-10-04 11:16 PM - Alister Hood

Status: Closed
Priority: Low
Assignee:

Category: Rasters

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 14284

Description

I'm not 100% sure if this counts as a bug:

Depending on the zoom level, a raster image and a vector with the same extent (created using gdaltindex) are not quite rendered in the

same location. Usually they are out by 1 pixel, as in the attached screenshot, although the other day | saw 2 pixels.

When | first saw this | decided it was an issue with the raster rendering, not the vector rendering, but | can't remember why. Maybe

because sometimes gaps are visible between adjacent raster layers or something.

Radim mentioned on the mailing list the other day that on-the-fly raster reprojection uses rounding if the difference is less than one pixel,
so | thought it might be a problem with that, but it still shows up when not using OTF reprojection.

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-10-05 01:42 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

It does not seems a qgis issue as also on other gis sw it looks the same.

#5 - 2012-10-06 02:43 AM - Alister Hood

Which other gis?
I think there is a "bug" in it/them as well.
